Skip to content

Get an agent sign-in request

GET
/api/v1/oauth/requests/{id}
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/oauth/requests/example \
--header 'Authorization: <Authorization>'

Returns what the consent page shows about an agent sign-in request: the client’s name and id, the hosts of its client_id and redirect URI, whether it is pre-registered (others are unverified), and its status (pending, approved, denied or expired). Requires a signed-in person.

id
required
string

Authorization request id

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
client_host
string
client_id
string
client_name
string
expires_at
string
id
string
loopback_redirect
boolean
preregistered
boolean
redirect_host
string
scope
string
status
string
Allowed values: pending approved denied expired

Example

{
"data": {
"status": "pending"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Forbidden

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Internal Server Error

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Live a8b7eb1d built